fr::crypto::DSA_generate_key(3SSL)

NOM
DSA_generate_key - Créer une paire de clefs DSA

SYNOPSIS
#include ltopenssl/dsa.h>

int DSA_generate_key(DSA *a);

DESCRIPTION
DSA_generate_key() attend dans a des paramètres DSA. Elle crée une nouvelle paire de clefs et la stocke dans a->pub_key et a->priv_key.

Le générateur de nombres pseudoaléatoires doit avoir été initialisé avant d'appeler DSA_generate_key().

VALEUR DE RETOUR
DSA_generate_key() renvoie 1 si elle réussit et 0 sinon. Les codes d'erreur peuvent être obtenus à l'aide de ERR_get_error(3).

VOIR AUSSI
dsa(3), DSA_generate_parameters(3), ERR_get_error(3), rand(3)

HISTORIQUE
DSA_generate_key() a été ajoutée dans SSLeay 0.8.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.